0
Fixed

1.4.0 Hotfix error : GetCorrespondingObjectFromSource (new to hotfix)

Reality.Stop() 4 years ago updated by Lazlo Bonin (Lead Developer) 4 years ago 5

This happens on the newest hotfix when I view any graph: (even a brand new empty graph)

(2017.4, blank project, but with the BAC loaded, empty graph)

Reverted back to the original 1.4.0 release and the error is gone


Bolt Version:
Unity Version:
Platform(s):
Scripting Backend:
.NET Version (API Compatibility Level):

Repro project sent via Discord!

+1
Working on Fix

Hm, I think I know what might be wrong here. You're using the .NET4.x release on Unity 2017, right?

I think I ran the Unity Upgradeable dialog before uploading, which changed the DLL and removed a method that was only available in 2017. I'll have to reupload!

Pushed a new .NET4.x build on the builds page, can you tell me if it fixes it?

Yep!  It seems to!  Nice work!